#!/bin/sh


#------- get the parametres from the caller -------
MAIN_DIR="$1"
TWS_DIR="$2"
UNINSTALL_DIR="$3"

echo "MAIN_DIR $MAIN_DIR"
echo "TWS_DIR $TWS_DIR"
echo "UNINSTALL_DIR $UNINSTALL_DIR"




#----- Copy  the file nedeed for the next uninstall ----- 

# --- copy the twsinst script itself under the TWS_DIR directory
if [ -f "$TWS_DIR/twsinst" ]
then
  cp -f  $TWS_DIR/twsinst  $TWS_DIR/twsinst.old 
  chmod 444 $TWS_DIR/twsinst.old
fi

if [ -f "$MAIN_DIR/twsinst" ]
then
  cp -f $MAIN_DIR/twsinst $TWS_DIR/twsinst
  chmod 544 $TWS_DIR/twsinst
fi

# --- Rename old CLI to avoid file in use errors
if [ -d "$TWS_DIR/uninstcli" ]
then
  # echo "TODO rinomina la vecchia se esiste...."
  rm -fR "$TWS_DIR/uninstcliOLD"
  mv -f "$TWS_DIR/uninstcli" "$TWS_DIR/uninstcliOLD"
fi
if [ -d "$UNINSTALL_DIR/CLI" ]
then
  # echo "TODO rinomina la vecchia se esiste...."
  rm -fR "$UNINSTALL_DIR/CLIOLD"
  mv -f "$UNINSTALL_DIR/CLI" "$UNINSTALL_DIR/CLIOLD"
fi


# --- copy the twspatch script itself under the TWS_DIR directory
if [ -f "$TWS_DIR/twspatch" ]
then
  cp -f  $TWS_DIR/twspatch  $TWS_DIR/twspatch.old 
  chmod 444 $TWS_DIR/twspatch.old
fi

if [ -f "$MAIN_DIR/twspatch" ]
then
  cp -f $MAIN_DIR/twspatch $TWS_DIR/twspatch
  chmod 544 $TWS_DIR/twspatch
fi


# Set permission on twsRemove.sh
if [ -f $TWS_DIR/twsRemove.sh ]
then
  chmod 755 $TWS_DIR/twsRemove.sh
fi


ACTION_TOOL_RET_STDOUT="";export ACTION_TOOL_RET_STDOUT
ACTION_TOOL_RET_COD=0

  # --- copy the uninstcli directory under the TWS_DIR directory

  if [ ! -d $UNINSTALL_DIR ]
  then
    ACTION_TOOL_RET_STDOUT="`mkdir -p "$UNINSTALL_DIR"`"
    ACTION_TOOL_RET_COD=$?
  fi
  if [ ! -d $UNINSTALL_DIR/CLI ]
  then
    ACTION_TOOL_RET_STDOUT="`mkdir -p "$UNINSTALL_DIR"/CLI`"
    ACTION_TOOL_RET_COD=$?
  fi
  if [ ! -d $UNINSTALL_DIR/ACTIONTOOLS ]
  then
    ACTION_TOOL_RET_STDOUT="`mkdir -p "$UNINSTALL_DIR"/ACTIONTOOLS`"
    ACTION_TOOL_RET_COD=$?
  fi
  
  ACTION_TOOL_RET_STDOUT="`chmod 755 "$UNINSTALL_DIR"`"
  ACTION_TOOL_RET_STDOUT="`cp -pR $MAIN_DIR/CLI/* "$UNINSTALL_DIR"/CLI`"
  ACTION_TOOL_RET_COD=$?    
    
# Action Tools are customized for a specific fixpack number
# they are installed and moved back by SPB 
#  if [ $ACTION_TOOL_RET_COD -eq 0 ]
#  then
#    ACTION_TOOL_RET_STDOUT="`cp -pR $MAIN_DIR/ACTIONTOOLS/* "$UNINSTALL_DIR"/ACTIONTOOLS`"
#    ACTION_TOOL_RET_COD=$?    
#  fi

  if [ $ACTION_TOOL_RET_COD -eq 0 ]
  then
    # --- 168291 copy the instmecho file under the TWS_DIR/bin directory
    # TWS8.2 GA package doesn't install this file on Linux_s390, so we
    # have to copy it manually
    if [ ! -f "$TWS_DIR/bin/instmecho" ]
    then
      ACTION_TOOL_RET_STDOUT="`cp -p $MAIN_DIR/bin/instmecho "$TWS_DIR/bin"`"
      ACTION_TOOL_RET_COD=$?
      
      echo "instmecho copied!!!"
    fi      
  fi
  
exit $ACTION_TOOL_RET_COD

